use<CameraHolder.scad>;
use<CardboardCore.scad>;
use<lensRemovalTool.scad>;
use<InstallationHelper.scad>;

//These are the mounting units for holding the camera in place to look back at the eyes

translate ([-26,0,0]) cameraHolderAssembly();
translate ([26,0,0]) cameraHolderAssembly();

//This is a simple tool you can poke through the cardboard, which helps align the mounting units perfectly and reliably for glueing. It can be screwed down to a desk.
translate ([-8,40,0]) cameraHolder();

//This is a simple tool to help you screw the lens off tiny endoscopic cameras. Modify to fit your lens size.
translate ([0,70,0]) lensRemovalTool();

//This is the cardboard core which you can laser cut and fold
translate([-140,120,0]){
    foldIt(false);    
}

//If you want to see how it looks when folded, just uncomment this line
translate([140,50,0]){
    foldIt(true);    
}
